#!./lua.sh

io.input "list.txt"
io.output "nodup.txt"

local meta = { __index = function(t,k) t[k] = ";" return k end }

for l in io.lines() do
    local seen = setmetatable({}, meta)
    local a,b = l:match"(.-;.-;.-;)(.*)"
    io.write(a, b:gsub(".-;", seen), "\n")
end
